| Home | Libraries | People | FAQ | More

## Struct template compare_hash

boost::intrusive::compare_hash

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<bool Enabled>
    struct compare_hash {
    };

## Description

This option setter specifies if the container will compare the hash value before comparing objects. This option can't be specified if store_hash<> is not true. This is specially helpful when we have containers with a high load factor. and the comparison function is much more expensive that comparing already stored hash values.